require File.expand_path('../lib/panhara_reports_kit/version', __FILE__)

Gem::Specification.new do |spec|
  spec.name          = "panhara_reports_kit"
  spec.version       = PanharaReportsKit::VERSION
  spec.authors       = ["aipanhara"]
  spec.email         = ["titpanhara@gmail.com"]
  spec.summary       = 'Beautiful, interactive charts for Ruby on Rails'
  spec.description   = 'ReportsKit lets you easily create beautiful charts with customizable, interactive filters.'
  spec.homepage      = "https://github.com/Panhara28/reports_kit_panahra"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata["allowed_push_host"] = "http://rubygems.org/gems/panhara_reports_kit"

    spec.metadata["homepage_uri"] = spec.homepage
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib/panhara_reports_kit"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  # spec.add_dependency 'spreadsheet', '>= 1.1'
  spec.add_runtime_dependency 'spreadsheet', '~> 1.1'
  spec.add_development_dependency 'appraisal', '~> 0'
  spec.add_development_dependency 'database_cleaner', '~> 1'
  spec.add_development_dependency 'factory_girl', '~> 4'
  spec.add_development_dependency 'groupdate', '~> 3'
  spec.add_development_dependency 'pry', '~> 0'
  spec.add_development_dependency 'pry-byebug', '~> 1'
  spec.add_development_dependency 'timecop', '~> 0'
end
